From 744816a146e567a4c1efd30e874ff76134754fe2 Mon Sep 17 00:00:00 2001
From: Grokzen <Grokzen@gmail.com>
Date: Wed, 9 Oct 2019 23:25:59 +0200
Subject: [PATCH] Fix broken test where errors data was wrong and duplicated

---
 tests/files/fail/test_type_float.yaml | 2 --
 1 file changed, 2 deletions(-)

diff --git a/tests/files/fail/test_type_float.yaml b/tests/files/fail/test_type_float.yaml
index bef14b8..972167d 100644
--- a/tests/files/fail/test_type_float.yaml
+++ b/tests/files/fail/test_type_float.yaml
@@ -16,8 +16,6 @@ schema:
   type: seq
   seq:
     - type: float
-errors:
-  - "Value 'foo' is not of type 'float'. Path: '/0'"
 errors:
   - "Value 'True' is not of type 'float'. Path: '/1'"
   - "Value 'foo' is not of type 'float'. Path: '/0'"

From 49052dd010637e1403c8b2b1c3710926acd2b1a0 Mon Sep 17 00:00:00 2001
From: Grokzen <Grokzen@gmail.com>
Date: Wed, 9 Oct 2019 23:21:09 +0200
Subject: [PATCH] Fixed bug in test_multi_file_support where pytest would raise
 issue with a option that is no longer supported

---
 tests/test_core.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/tests/test_core.py b/tests/test_core.py
index 6fcd81e..bd974df 100644
--- a/tests/test_core.py
+++ b/tests/test_core.py
@@ -336,7 +336,9 @@ def test_multi_file_support(self):
             compare(c.root_rule.schema_str, passing_test[2], prefix="Parsed rules is not correct, something have changed...")
 
         for failing_test in failing_tests:
-            with pytest.raises(failing_test[2], message="Test files: {0} : {1}".format(", ".join(failing_test[0]), failing_test[1])):
+            print("Test files: {0} : {1}".format(", ".join(failing_test[0]), failing_test[1]))
+
+            with pytest.raises(failing_test[2]):
                 c = Core(schema_files=failing_test[0], source_file=failing_test[1])
                 c.validate()
 
